Bug 203411 - update-request textproc/pdfgrep to 1.4
Summary: update-request textproc/pdfgrep to 1.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-28 12:21 UTC by Walter Schwarzenfeld
Modified: 2015-10-27 20:52 UTC (History)
2 users (show)

See Also:
michael: maintainer-feedback+


Attachments
patch-Makefile (467 bytes, patch)
2015-09-28 12:21 UTC, Walter Schwarzenfeld
no flags Details | Diff
patch-distinfo (342 bytes, patch)
2015-09-28 12:21 UTC, Walter Schwarzenfeld
no flags Details | Diff
pdfgrep.diff (869 bytes, patch)
2015-09-30 14:13 UTC, Walter Schwarzenfeld
no flags Details | Diff
pdfgrep.diff (1.13 KB, patch)
2015-10-17 21:20 UTC, Walter Schwarzenfeld
no flags Details | Diff
graphics_poppler.diff (1.53 KB, patch)
2015-10-17 21:21 UTC, Walter Schwarzenfeld
no flags Details | Diff
pdfgrep.diff (1.27 KB, patch)
2015-10-17 22:12 UTC, Walter Schwarzenfeld
no flags Details | Diff
pdfgrep.diff (1.29 KB, patch)
2015-10-17 22:54 UTC, Walter Schwarzenfeld
no flags Details | Diff
pdfgrep.diff (1.28 KB, patch)
2015-10-17 23:32 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Schwarzenfeld 2015-09-28 12:21:08 UTC
Created attachment 161488 [details]
patch-Makefile
Comment 1 Walter Schwarzenfeld 2015-09-28 12:21:33 UTC
Created attachment 161489 [details]
patch-distinfo
Comment 2 Walter Schwarzenfeld 2015-09-30 14:13:48 UTC
Created attachment 161572 [details]
pdfgrep.diff
Comment 3 Pawel Pekala freebsd_committer 2015-10-17 19:51:42 UTC
There are some leftover files in stagedir, please do make check-plist
before submitting your PRs.

Build fails on 9.x:
http://people.freebsd.org/~pawel/buildlogs/pdfgrep-1.4.1-9amd64.log
Comment 4 Walter Schwarzenfeld 2015-10-17 21:20:33 UTC
Created attachment 162168 [details]
pdfgrep.diff
Comment 5 Walter Schwarzenfeld 2015-10-17 21:21:09 UTC
Created attachment 162169 [details]
graphics_poppler.diff
Comment 6 Walter Schwarzenfeld 2015-10-17 21:22:44 UTC
(In reply to Pawel Pekala from comment #3)
Needed also update of graphics/poppler to 0.35. Changed compiler to GCC 4.8+.
Comment 7 Walter Schwarzenfeld 2015-10-17 21:32:55 UTC
But the Masterdir updates not automatically poppler-utils and poppler-glib - don't know why.
Comment 8 Walter Schwarzenfeld 2015-10-17 21:46:08 UTC
My error, the slavedirs are updated with next portmaster run.
Comment 9 Walter Schwarzenfeld 2015-10-17 21:46:58 UTC
I meant slaveports.
Comment 10 Walter Schwarzenfeld 2015-10-17 22:12:03 UTC
Created attachment 162171 [details]
pdfgrep.diff
Comment 11 Walter Schwarzenfeld 2015-10-17 22:19:25 UTC
I'am not really shure if it is really needed to update poppler, or it was only the conditional for the compiler for i386.
Comment 12 Walter Schwarzenfeld 2015-10-17 22:54:17 UTC
Created attachment 162172 [details]
pdfgrep.diff
Comment 13 Walter Schwarzenfeld 2015-10-17 23:32:41 UTC
Created attachment 162175 [details]
pdfgrep.diff
Comment 14 Walter Schwarzenfeld 2015-10-17 23:34:05 UTC
Correct conditional for ARCH to OSVERSION. The above error message was puzzling me. And poppler update is needed.
Comment 15 Walter Schwarzenfeld 2015-10-25 14:10:12 UTC
In the meantime poppler is updated.
Comment 16 commit-hook freebsd_committer 2015-10-27 20:52:59 UTC
A commit references this bug:

Author: pawel
Date: Tue Oct 27 20:52:31 UTC 2015
New revision: 400345
URL: https://svnweb.freebsd.org/changeset/ports/400345

Log:
  Update to version 1.4.1

  PR:		203411
  Submitted by:	Walter Schwarzenfeld
  Approved by:	maintainer

Changes:
  head/textproc/pdfgrep/Makefile
  head/textproc/pdfgrep/distinfo